subset,echosounder-method {oce} | R Documentation

## Subset an Echosounder Object

### Description

This function is somewhat analogous to `subset.data.frame`. Subsetting can be by `time` or `depth`, but these may not be combined; use a sequence of calls to subset by both.

### Usage

    ## S4 method for signature 'echosounder'
    subset(x, subset, ...)

### Arguments

`x` | a `echosounder` object.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | ignored.

### Value

A new `echosounder` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `echosounder` data: `[[,echosounder-method`, `[[<-,echosounder-method`, `as.echosounder`, `echosounder-class`, `echosounder`, `findBottom`, `plot,echosounder-method`, `read.echosounder`, `summary,echosounder-method`

Other functions that subset `oce` objects: `subset,adp-method`, `subset,adv-method`, `subset,amsr-method`, `subset,argo-method`, `subset,cm-method`, `subset,coastline-method`, `subset,ctd-method`, `subset,lobo-method`, `subset,met-method`, `subset,oce-method`, `subset,odf-method`, `subset,rsk-method`, `subset,sealevel-method`, `subset,section-method`, `subset,topo-method`

### Examples

    library(oce)
    data(echosounder)
    plot(echosounder)
    plot(subset(echosounder, depth < 10))
    plot(subset(echosounder, time < mean(range(echosounder[['time']]))))

[Package oce version 0.9-22 Index]